Skip to main content
`Ctrl`+`K`

# PetscHMapObjGetKeys

Get all keys from a hash table

## Synopsis

    #include <petsc/private/hashmapobj.h>
    PetscErrorCode PetscHMapObjGetKeys(PetscHMapObj ht, PetscInt *off, PetscInt64 array[])

## Input Parameters

- ht - The hash table

- off - Input offset in array (usually zero)

- array - Array to put hash table keys in

## Output Parameters

- off - Output offset in array (output offset = input offset + hash table size)

- array - Array filled with the hash table keys

## See Also

`PetscHSetObjGetSize()`, `PetscHMapObjGetVals()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages